---
- include_tasks:
    file: "homebrew.yml"

- name: "📥 Install helpful tools via Homebrew (⏳ this might take a while)"
  community.general.homebrew:
    name: "{{ brew_apps }}"
    path: "{{ homebrew_bin_dir }}/brew"
    update_homebrew: true
    state: latest
  become_user: "{{ homebrew_user }}"
  environment:
    PATH: "{{ homebrew_bin_dir }}:{{ ansible_env.PATH }}"

- name: "📁 ensures ~/.config/yamllint exists"
  ansible.builtin.file:
    path: "{{ app_user_home_dir }}/.config/yamllint"
    state: directory
    owner: "{{ app_user }}"
  become_user: "{{ app_user }}"

- name: "📝 create yamllint config"
  ansible.builtin.copy:
    src: "yamllint_config.yml"
    dest: "{{ app_user_home_dir }}/.config/yamllint/config"
    mode: 0600
    owner: "{{ app_user }}"
  become_user: "{{ app_user }}"

- name: "📝 create shellcheck config"
  ansible.builtin.copy:
    src: "shellcheckrc"
    dest: "{{ app_user_home_dir }}/.shellcheckrc"
    mode: 0600
    owner: "{{ app_user }}"
  become_user: "{{ app_user }}"

# - include_tasks: roles/container_base/tasks/lint_sh.yml
#   vars:
#     sh_script: "{{ app_user_home_dir }}/.bash_aliases"
